WordPress.org

Ready to get started?Download WordPress

Forums

Polylang
[resolved] Archives widget not working anymore (11 posts)

  1. sioux2
    Member
    Posted 2 years ago #

    Just installed polylang 0.6 to an existing wordpress installation, with a few posts on it, and the Archive widget I had on the sidebar does not seem to be working anymore. It displays the widget title fine, but no months is showing up. Did I misconfigured something or is there anything more to do for archives?

    I use two languages: English (default) and French.

    Also, when I am on a post in English and there is "related" French post, the French flag points to /fr/ when I would like it to point to /blog/fr/ as my "posts page" is defined under /blog/ on the wordpress configuration. Is there any way to achieve this?

    Otherwise this seem to work pretty greatly, that's good work.

    Let me know it you need more details from that issue, if it actually is one.

    Many thanks

    http://wordpress.org/extend/plugins/polylang/

  2. sioux2
    Member
    Posted 2 years ago #

    Sorry another thing, I get the following error when I hit the button "Save Changes" on the "Strings translation" page of the plugin config.

    Thanks!

  3. sioux2
    Member
    Posted 2 years ago #

    Here is the error:

    Fatal error: Call to undefined method MO::export() in /home/marlenef/public_html/wp-content/plugins/polylang/include/admin.php on line 233

  4. Chouby
    Member
    Plugin Author

    Posted 2 years ago #

    For the archives, this is a stupid last minute modification that I made which breaks things. I will fix that quickly.

    For the language switcher issue, I would like more details, because if the post is translated, the flag should point to the translated post, not /blog/fr/ or /fr/. What are the widget settings ? Are you using a static front page and a page for posts ?

    For the fatal error, I don't reproduce it on WP 3.3. Do you confirm that you are using the version 3.3 ?

    If yes, can you try inserting the following line on top (line 2) of /plugins/polylang/include/admin.php and tell me if it solves the issue?
    require( ABSPATH . WPINC . '/pomo/mo.php' );

  5. sioux2
    Member
    Posted 2 years ago #

    Sorry for the language switcher issue this is happening when there is NO translated post. I forgot the "no" in my previous post, which makes all the difference.

    And sorry again I'm actually using WordPress 3.2.1.. I tried inserting that line anyway but that didn't fix it.

    Many thanks!

  6. Chouby
    Member
    Plugin Author

    Posted 2 years ago #

    You discovered that this feature is not compatible with WP 3.2 and older. I will see if I will deactivate it for old versions or if I can add some lines of code to make it compatible.

    Are you using a static front page and a page for posts ? If yes did you create translations for them ?

  7. sioux2
    Member
    Posted 2 years ago #

    Ok thanks for that!

    I'm indeed using a static front page and a page for posts. I've already created a translation for the page for posts, but not for the static front page as I only want the translation to be effective for the blog. There won't be any translation for the static pages. Does that make any difference?

    Thanks

  8. Chouby
    Member
    Plugin Author

    Posted 2 years ago #

    It is probably the source of your problem. When a translation does not exist, the switcher links to the homepage in the right language. If it does not exist, you will get unexpected result. Is it a problem for you to have a translated homepage ?

    I looked at the "save string translations" issue. I will include backward compatibility down to WP 3.1 in the next release to come soon.

  9. sioux2
    Member
    Posted 2 years ago #

    The thing is I would like to point to the page for posts, not the static front page. I guess I could have a look in the code and change that. But maybe it would be good to add the option to set the default fallback page, to choose between the static front page and the post page.

    I will try updating to the latest WordPress versionm hopefully it won't break anything. I will also wait for the fix about the "Archive" widget bug, but thanks anyway for the first class support on this!

  10. Chouby
    Member
    Plugin Author

    Posted 2 years ago #

    The fix for "strings translation" fatal error in WP < 3.3 and for the archive widget will come at the same time, so you will not be forced to update to 3.3 if you fear that something else will break. I do always tests on local sites before upgrading to a newer WP version (and check that every plugin has been tested to the newest version too).

    If you want to modify the link, you can modify the file include/core.php at line 687 (version 0.6). Of course, your modification will be overwritten at the next update.

    Maybe I will add a new option, but if it comes, it will not be in the future 0.6.1 which be a maintenance release only.

  11. sioux2
    Member
    Posted 2 years ago #

    Great thanks. Will wait for your next release then!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags